Subject: Re: bug#65496: 30.0.50; Issue with the regexp used to auto-detect PBM image data

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Sep 2023 20:36:06 +0300

> Date: Mon, 4 Sep 2023 18:32:22 +0200
> From: David Ponce <[email-masked]>
> 
> I wonder if it is expected that matching a regular expression
> against a string object depends on the syntax-table setup in current
> buffer?  Shouldn't (standard-syntax-table) implied when matching a
> regexp against a string object, that is, regardless of any buffer
> context?

Not necessarily, because you wouldn't expect, say, looking-at to
return a different result than (string-match-p (buffer-string)), would
you?

This belongs to the gray areas of Emacs.  The same situation exists
with functions like downcase, which use the buffer-local value of
case-table.